import { getMetadataStorage } from "../utils/metadata-storage";
import { OdooModelMetadata } from "../metadata/model-metadata";

/**
 *
 */
export function OdooModel(modelName: string) {
    return function (target: Function) {
        const args: OdooModelMetadata = {
            target: target,
            modelName: modelName
        }

        getMetadataStorage().models.add(args);
    }
};